Cabal-1.16.0: A framework for packaging Haskell software

Portability | portable
Maintainer | cabal-devel@haskell.org
Safe Haskell | None

Distribution.Simple.Program.Hpc

Description

This module provides an library interface to the `hpc` program.

# Documentation

markup

Arguments

:: ConfiguredProgram |
-> Verbosity |
-> FilePath | Path to .tix file
-> FilePath | Path to directory with .mix files
-> FilePath | Path where html output should be located
-> [ModuleName] | List of modules to exclude from report
-> IO () |

union

Arguments

:: ConfiguredProgram |
-> Verbosity |
-> [FilePath] | Paths to .tix files
-> FilePath | Path to resultant .tix file
-> [ModuleName] | List of modules to exclude from union
-> IO () |